Unit AGH5R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, AER13R_p, AER18R_p, AER16R_p, UTAG10_p;

procedure AGH5R(var A :Array of Real; var B :Array of Real;
                var EV :Array of Real; var RAB1 :Array of Real;
                N :Integer; var IERR :Integer);

implementation

procedure AGH5R(var A :Array of Real; var B :Array of Real;
                var EV :Array of Real; var RAB1 :Array of Real;
                N :Integer; var IERR :Integer);
var
N1 :Integer;
label
_1;
begin
__.elm1 := N;
N1 := N+1;
AER13R(N,N,A,B,RAB1[N1-1],IERR);
if ( IERR <> 0 ) 
 then goto _1;
AER18R(N,N,A,EV,RAB1,RAB1[N1-1]);
AER16R(N,EV,RAB1[N1-1],IERR);
_1:
if ( IERR <> 0 ) 
 then UTAG10(IERR,51);
end;

end.
